org.apache.ignite.internal.processors.marshaller

## Class MarshallerMappingItem

- java.lang.Object
- - org.apache.ignite.internal.processors.marshaller.MarshallerMappingItem

All Implemented Interfaces:
  Serializable

    public final class MarshallerMappingItem
    extends Object
    implements Serializable

Used to exchange mapping information on new mapping added or missing mapping requested flows. See `GridMarshallerMappingProcessor` javadoc for more information.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MarshallerMappingItem(byte platformId, int typeId, String clsName)` Class name may be null when instance is created to request missing mapping from cluster.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `className()`
`void` `className(String clsName)`
`boolean` `equals(Object obj)`
`int` `hashCode()`
`byte` `platformId()`
`String` `toString()`
`int` `typeId()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MarshallerMappingItem

    public MarshallerMappingItem(byte platformId,
                                 int typeId,
                                 @Nullable
                                 String clsName)

Class name may be null when instance is created to request missing mapping from cluster.

Parameters:
  `platformId` - Platform id.
  `typeId` - Type id.
  `clsName` - Class name. May be null in case when the item is created to request missing mapping from grid.

### Method Detail

#### typeId

    public int typeId()

#### platformId

    public byte platformId()

#### className

    public String className()

#### className

    public void className(String clsName)

Parameters:
  `clsName` - Class name.

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018